#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	userspace-rcu
Version		:	0.14.0
Release		:	17.0.10.rel%{?dist}
Summary		:	RCU (read-copy-update) implementation in user-space

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://liburcu.org

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	make

#-----------------------------------------------------------------------------
%description
This data synchronization library provides
read-side access which scales linearly with
the number of cores.
It does so by allowing multiples copies of a
given data structure to live at the same time,
and by monitoring the data structure accesses
to detect grace periods after which memory
reclamation is possible.

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root, -)
%license LICENSE gpl-2.0.txt lgpl-relicensing.txt lgpl-2.1.txt
%doc ChangeLog README.md
%{_libdir}/liburcu-bp.so.8*
%{_libdir}/liburcu-cds.so.8*
%{_libdir}/liburcu-common.so.8*
%{_libdir}/liburcu-mb.so.8*
%{_libdir}/liburcu-memb.so.8*
%{_libdir}/liburcu-qsbr.so.8*
%{_libdir}/liburcu-signal.so.8*
%{_libdir}/liburcu.so.8*

#=============================================================================
%package		devel
Summary		:	Devel libraries & headers for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header to instrument applications using %{name}

#-----------------------------------------------------------------------------
%files			devel
%defattr(-, root,root, -)
%{_includedir}/urcu*.h
%{_includedir}/urcu/*.h
%{_includedir}/urcu/arch/*.h
%{_includedir}/urcu/map/*.h
%{_includedir}/urcu/static/*.h
%{_includedir}/urcu/uatomic/*.h
%{_libdir}/liburcu-bp.so
%{_libdir}/liburcu-cds.so
%{_libdir}/liburcu-common.so
%{_libdir}/liburcu-mb.so
%{_libdir}/liburcu-memb.so
%{_libdir}/liburcu-qsbr.so
%{_libdir}/liburcu-signal.so
%{_libdir}/liburcu.so
%{_libdir}/pkgconfig/liburcu*.pc
%{_defaultdocdir}/%{name}-%{version}/LICENSE
%{_defaultdocdir}/%{name}-%{version}/*.md
%{_defaultdocdir}/%{name}-%{version}/examples/

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -fi
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\
	

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


#To remove libtool library and static library
find 							\
	%{buildroot}%{_libdir}				\
	\(						\
		 -name \*.la				\
		 -o					\
		 -name \*.a				\
	 \)						\
	-delete

#-----------------------------------------------------------------------------
%changelog
